#!/usr/bin/env python2
# -*- coding: utf-8 -*-

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.

# ------------
#| Change Log |
# ------------
# Rel 1: Initial release 2020

from gimpfu import *
import os, sys

"""
To change the permissions of a file or folder, follow these steps.
Important You must be logged on as an administrator to change permissions on files and folders.

Press and hold or right-click the file or folder, and then tap or click Properties.
Tap or click the Security tab.
Under Group or user names, tap or click your name to see the permissions that you have.
Tap or click Edit, tap or click your name, select the check boxes for the permissions that you must have, and then click OK.

Access is denied Windows 10
https://windowsreport.com/access-is-denied-windows-10/
"""

def replacewith(s, oldvalues, newvalues):
  new_s = s
  for i in range(0,len(oldvalues)):
    new_s = new_s.replace(oldvalues[i],newvalues[i])
  return new_s
  
def python_fu_off_font_windows():

  fc = os.path.expanduser(gimp.sysconf_directory)[:-9]
  backup_filefullpath = fc +  os.sep + 'fonts' +  os.sep + 'fonts.conf'
  f = open(backup_filefullpath,"r")
  lines = f.readlines()
  f.close()
  
  old = ['<dir>WINDOWSFONTDIR</dir>']
  new = ['<dir>NOT-WINDOWSFONTDIR</dir>']

  if backup_filefullpath.endswith(".conf"): 
    f = open(backup_filefullpath,"w")
    for line in lines:
      line = replacewith(line, old ,new)
      f.write(line)
    f.close()
  pdb.gimp_fonts_refresh()
	
register(
	"python_fu_off_font_windows",
	"Disable/enable Windows fonts.\nFile: 'fonts.conf' must have\nwrite permission.",
	"Disable fonts Windows",
	"MareroQ",
	"GPL",
	"2019",
	"Windows font Disable",
	"", 
	[],   
	[],
	python_fu_off_font_windows,menu="<Fonts>/"
	)

def python_fu_on_font_windows():

  fc = os.path.expanduser(gimp.sysconf_directory)[:-9]
  backup_filefullpath = fc +  os.sep + 'fonts' +  os.sep + 'fonts.conf'
  f = open(backup_filefullpath,"r")
  lines = f.readlines()
  f.close()
  
  old = ['<dir>NOT-WINDOWSFONTDIR</dir>']
  new = ['<dir>WINDOWSFONTDIR</dir>']

  if backup_filefullpath.endswith(".conf"): 
    f = open(backup_filefullpath,"w")
    for line in lines:
      line = replacewith(line, old ,new)
      f.write(line)
    f.close()
  pdb.gimp_fonts_refresh()

register(
	"python_fu_on_font_windows",
	"Enable Windows fonts.\nFile: 'fonts.conf' must have\nwrite permission.",
	"Enable fonts Windows",
	"MareroQ",
	"GPL",
	"2020",
	"Windows font Enable",
	"", 
	[],   
	[],
	python_fu_on_font_windows, menu="<Fonts>/"
	)
main()
